/*!
* \file AffichageConsole.h
* \brief Fichier contenant les signatures des fonctions liees a la structure competence.
*/

#ifndef COMPETENCE_H_INCLUDED
#define COMPETENCE_H_INCLUDED


/* Fonctions */

Competence* init_Competence();

/* Fonctions Set */

int set_comp_enfant(Competence *parent, Competence *nouvel_enfant);

int set_comp_frere(Competence *noeud, Competence *nouveau_frere);

int set_comp_name(Competence *comp, char *nom_donne);

int set_comp_id(Competence *comp, char *nom_donne);

int set_comp_prix(Competence *comp, int prix);

int set_comp_effet(Competence *comp, Effet_Competence *nouvel_effet);

/* ------------ */

int taille(Competence *noeud);

unsigned int NbEnfants(Competence *noeud);

unsigned int hauteur(Competence *noeud);

Competence* construire_arbre_competence(Competence* a);

int rafraichir_competences(Competence * a);

boolean est_connue(Competence *c);

boolean est_complet(Competence *a);

Effet_Competence * get_effet(Competence *c);

int chemin_auto_competence(Competence* c);

#endif
